/* GMM (C) 2018 Stephane Charette <stephanecharette@gmail.com>
 * $Id: GMMWnd.hpp 2667 2018-11-26 08:35:35Z stephane $
 */

#pragma once

#include "GMMTypes.hpp"
#include "Notebook.hpp"


class GMMWnd : public DocumentWindow, public Timer
{
	public:

		GMMWnd(void);

		virtual ~GMMWnd(void);

		virtual void closeButtonPressed();

		virtual bool keyPressed(const KeyPress &key);

		/// Inherited from Timer.  Used to check on OPC Console.
		virtual void timerCallback(void);

		Notebook notebook;

		/// Note that each tab also has a VStr with tab-specific errors and warnings.  @see @ref TabCanvas::warnings_and_errors
		VStr warnings_and_errors;

		HANDLE child_opc_process_handle;

};
